org.eclipse.oomph.resources.backend

## Class LocalBackendSystem.Factory

- java.lang.Object
- - org.eclipse.oomph.resources.backend.LocalBackendSystem.Factory

- All Implemented Interfaces:
    BackendSystem.IFactory
  Enclosing class:
    LocalBackendSystem

      public static final class LocalBackendSystem.Factory
      extends Object
      implements BackendSystem.IFactory

  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.oomph.resources.backend.BackendSystem.IFactory

      `BackendSystem.IFactory.Registry`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalBackendSystem.Factory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `LocalBackendSystem` | `createBackendSystem(URI systemURI)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalBackendSystem.Factory

          public LocalBackendSystem.Factory()

  - ### Method Detail

    - #### createBackendSystem

          public LocalBackendSystem createBackendSystem(URI systemURI)
                                                 throws BackendException

      Specified by:
        `createBackendSystem` in interface `BackendSystem.IFactory`
      Throws:
        `BackendException`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html